Summary: GNU Compiler Collection
Name: hhl-target-gcc
Version: 2.95.3
Release: %{_hhl_build_id}.15
Source0: ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{version}.tar.gz
Source1: gcc-tests-20010312.tar.gz
Source2: gcov.1
Source3: protoize.1
Source4: gcc.tmpl
Source5: cpp.tmpl
Source6: cpp-doc.tmpl
Source7: g++.tmpl
Source8: protoize.tmpl
Source9: libstdc++2.10.tmpl
Source10: libstdc++2.10-dev.tmpl
Source11: gcc-doc.tmpl

# Debian patches for all architectures:
Patch0: testsuite-current.dpatch
Patch1: cpp-macro-doc.dpatch
Patch2: libstdc++-out-of-mem.dpatch
Patch3: cpp-dos-newlines.dpatch
Patch4: libio-doc.dpatch
Patch5: gcc-doc.dpatch
#Patch6: gcc-alloca.dpatch
Patch7: g77-docs.dpatch
Patch8: objc-data-references.dpatch
Patch9: gcj-vs-iconv.dpatch
Patch10: gcc-i386-pic-kludge.dpatch

# Monta Vista patches
Patch20: gcc-2.95.3-franz.patch
Patch21: gcc-%{version}.cross.patch
Patch22: gcc-powerpc-fpu.patch
Patch23: gcc-kernel_in.h.patch
Patch26: gcc-hhl-versions.patch
Patch27: gcc-2.95.2-frame.patch
Patch291: gcc-2.95.3-target_default.patch
Patch292: gcc-2.95.3-exception_label.patch

# ARM patches
Patch30: arm-config.dpatch
Patch31: arm-nested-func.dpatch
Patch32: arm-various.dpatch
Patch33: gcc-2.95.3-arm.patch  
Patch34: gcc-2.95.3-arm-nof.patch  
Patch36: gcc-fold-const.patch 
Patch37: gcc-inhibit_libc_hack.patch
Patch38: gcc-2.95.3-xscale.patch
Patch39: gcc-2.95.3-arm-got.patch
Patch301: gcc-2.95.3-add-arm9tdmi.patch
Patch302: gcc-2.95.3-armBE.patch
Patch303: gcc-2.95.3-arm_config_be.patch

# MIPS patches
Patch40: gcc-mips-linux.dpatch
Patch41: gcc-mips-linux-abi.dpatch
Patch42: gcc-mips-linux-ctors.dpatch
Patch43: gcc-2.95.3-mips-nof.patch
Patch44: gcc-2.95.3-mips-nof2.patch
Patch45: gcc-mips-mad.patch
Patch46: hhl-gcc-mips-blockinit.patch
Patch47: hhl-gcc-2.95-mips-thunk.patch
Patch401: gcc-2.95.3-mips_withcpu.patch
Patch48: gcc-2.95.3-lexra.patch
Patch49: gcc-2.95.3-mips_md1.patch
Patch402: gcc-2.95.3-mips_h1.patch
Patch403: gcc-2.95.3-va_mips.patch
Patch404: gcc-2.95.3-mips_ashldi3.patch
Patch405: gcc-2.95.3-mips_lohi.patch
Patch406: gcc-2.95.3-mips_madd.patch
Patch407: gcc-2.95.3-section_alignment.patch
Patch408: gcc-2.95.3-combine.patch
Patch409: gcc-2.95.3-mips_exception.patch
Patch410: gcc-2.95.3-mips_usd.patch  
Patch411: gcc-2.95.3-unaligned_fields.patch
Patch412: gcc-2.95.3-frankengcc.patch

# SPARC patches
Patch50: hhl-gcc-ultrasparc.patch

# PowerPC patches
Patch60: hhl-gcc-7400.patch
Patch61: gcc-2.95.3-ppc-dwarf.patch

License: GPL/LGPL
Group: devel
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir          %{_hhl_cross_target_dir}/%{_hhl_target_doc_dir}
Requires: hhl-%{_hhl_target_arch}-binutils
%description
This is the GNU C compiler, a fairly portable optimizing compiler which
supports multiple languages.  This package includes support for C, and 
C++.

# gcc
%package -n hhl-%{_hhl_target_arch}-gcc
Summary: The GNU C Compiler.
Group: devel
Requires: hhl-%{_hhl_target_arch}-cpp = %{version}
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-gcc
This is the GNU C compiler, a fairly portable optimizing compiler which
supports multiple languages.  This package includes support for C.

# cpp
%package -n hhl-%{_hhl_target_arch}-cpp
Summary: The GNU C preprocessor.
Group: devel
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-cpp
The GNU C preprocessor is required by some utilities that use it for
macro substitutions. This package has been separated from gcc for
the benefit of those who require the preprocessor but not the
compiler.

# cpp-doc
%package -n hhl-%{_hhl_target_arch}-cpp-doc
Summary: Documentation for the GNU C preprocessor (cpp).
Group: devel
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-cpp-doc
Documentation for the GNU C preprocessor in info format.

# g++
%package -n hhl-%{_hhl_target_arch}-g++
Summary: The GNU C++ compiler.
Group: devel
Requires: hhl-%{_hhl_target_arch}-gcc = %{version}
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-g++
This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.

# protoize
%package -n hhl-%{_hhl_target_arch}-protoize
Summary: Create/remove ANSI prototypes from C code
Group: devel
Requires: hhl-%{_hhl_target_arch}-gcc = %{version}
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-protoize
protoize' can be used to add prototypes to a program, thus converting
the program to ANSI C in one respect.  The companion program 'unprotoize'
does the reverse: it removes argument types from any prototypes
that are found.

# Not currently supported under Hard Hat Linux
## gobjc
#%package -n hhl-%{_hhl_target_arch}-gobjc
#Summary: The GNU Objective-C compiler.
#Group: devel
#Requires: hhl-%{_hhl_target_arch}-gcc = %{version}
#%description -n hhl-%{_hhl_target_arch}-gobjc
#This is the GNU Objective-C compiler, which compiles
#Objective-C on platforms supported by the gcc compiler. It uses the
#gcc backend to generate optimized code.

# Not currently supported under Hard Hat Linux
## g77
#%package -n hhl-%{_hhl_target_arch}-g77
#Summary: The GNU Fortran 77 compiler.
#Group: devel
#Requires: hhl-%{_hhl_target_arch}-gcc = %{version}
#%description -n hhl-%{_hhl_target_arch}-g77
#This is the GNU g77 Fortran compiler, which compiles
#Fortran 77 on platforms supported by the gcc compiler. It uses the
#gcc backend to generate optimized code.

# Not currently supported under Hard Hat Linux
## g77-doc
#%package -n hhl-%{_hhl_target_arch}-g77-doc
#Summary: Documentation for the GNU Fortran compiler (g77).
#Group: devel
#%description -n hhl-%{_hhl_target_arch}-g77-doc
#Documentation for the GNU Fortran 77 compiler in info format.

# Not currently supported under Hard Hat Linux
## chill
#%package -n hhl-%{_hhl_target_arch}-chill
#Summary: The GNU Chill compiler.
#Group: devel
#Requires: hhl-%{_hhl_target_arch}-gcc = %{version}
#%description -n hhl-%{_hhl_target_arch}-chill
#This is the ITU 1  compiler. Chill is
#the "CCITT High-Level Language", where CCITT is the old name
#for what is now ITU, the International Telecommunications Union.
#It is a language in the Modula-2 family, and targets many of the
#same applications as Ada (especially large embedded systems).
#Chill was never used much in the United States, but is still
#being used in Europe, Brazil, Korea, and other places.

# Not currently supported under Hard Hat Linux
## gcj
#%package -n hhl-%{_hhl_target_arch}-gcj
#Summary: The GNU compiler for Java(TM).
#Group: devel
#Requires: hhl-%{_hhl_target_arch}-gcc = %{version}, hhl-%{_hhl_target_arch}-libgcj0-dev
#%description -n hhl-%{_hhl_target_arch}-gcj
#GCJ is a front end to the GCC compiler which can natively compile both
#Java(tm) source and bytecode files. The compiler can also generate class
#files.
#.
#Currently the compiler source parser does not understand JDK 1.1 extensions
#to the Java programming language. For instance, it does not support
#inner classes.

# libstdc++2.10
%package -n hhl-%{_hhl_target_arch}-libstdc++2.10
Summary: The GNU stdc++ library
Group: devel
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-libstdc++2.10
This package contains an additional runtime library for C++ programs
built with the GNU compiler.

# libstdc++2.10-dev
%package -n hhl-%{_hhl_target_arch}-libstdc++2.10-dev
Summary: The GNU stdc++ library (development files)
Group: devel
Requires: hhl-%{_hhl_target_arch}-g++ = %{version}
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-libstdc++2.10-dev
This package contains the headers and static library files necessary for
building C++ programs which use libstdc++.

# gcc-doc
%package -n hhl-%{_hhl_target_arch}-gcc-doc
Summary: Documentation for the GNU compilers (gcc, gobjc, g++).
Group: devel
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-gcc-doc
Documentation for the GNU compilers in info format.

# Not currently supported under Hard Hat Linux
## gpc
#%package -n hhl-%{_hhl_target_arch}-gpc
#Summary: The GNU Pascal compiler.
#Group: devel
#Requires: hhl-%{_hhl_target_arch}-gcc = %{version}
#%description -n hhl-%{_hhl_target_arch}-gpc
#This is the GNU Pascal compiler, which compiles
#Pascal on platforms supported by the gcc compiler. It uses the
#gcc backend to generate optimized code.
#.
#The current beta release 2.2 implements Standard Pascal (ISO 7185,
#level 1), a large subset of Extended Pascal (ISO 10206), and
#Borland Pascal. Many Borland Pascal units supported.

# Not currently supported under Hard Hat Linux
# gpc-doc
#%package -n hhl-%{_hhl_target_arch}-gpc-doc
#Summary: Documentation for the GNU Pascal compiler (gpc).
#Group: devel
#%description -n hhl-%{_hhl_target_arch}-gpc-doc
#Documentation for the GNU Pascal compiler in info format.

%define _gccdir %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/gcc-lib/%{_hhl_target_toolconfig}/%{version}

%prep
%target_check
%setup -n gcc-%{version} -q
tar xzf %{_sourcedir}/gcc-tests-20010312.tar.gz
rm -rf gcc/testsuite/
mv gcc-20010312/gcc/testsuite/ gcc/testsuite
rm -rf gcc-20010312

%patch0 -p0   
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
#%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0

%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch26 -p1
%patch291 -p1
%patch292 -p1

# Fix the low memory frame exception segfaulting bug
%patch27 -p1

%if "%{_hhl_target_cpu_type}" == "arm"
%patch30 -p0
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1

(cd gcc;
%patch36 -p0
)

%if "%{_hhl_target_endian}" == "big"
%patch303 -p1
%patch302 -p1
%endif

%if "%{_hhl_target_cpu_id}" == "xscale"
%patch38 -p1
%endif

%patch39 -p1
%patch301 -p1
%endif

%if "%{_hhl_target_cpu_type}" == "mips"
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch401 -p1
%patch48 -p1
%patch49 -p1
%patch402 -p1
%patch403 -p1
%patch404 -p1
%patch405 -p1
%patch406 -p1
%patch407 -p1
%patch408 -p1
%patch409 -p1
%patch410 -p1 
%patch411 -p1 
%patch412 -p1 
%endif

# For sparc - default gas to ultrasparc 
%patch50 -p1

%if "%{_hhl_target_arch}" == "ppc_74xx"
%patch60 -p1
%endif

# For PowerPC
%patch61 -p1 

# we don't need to build texinfo on a current Linux installation
rm -rf texinfo

# Add SYSTEM_HEADER_DIR so that we find <limits.h> from glibc
# FIXME - there should be a better way...
echo "SYSTEM_HEADER_DIR=%{_hhl_cross_target_dir}%{_hhl_target_include_dir}" \
	>> gcc/cross-make

%build
%target_setup

export CC_FOR_TARGET=$CC
export AS_FOR_TARGET=$AS
export LD_FOR_TARGET=$LD
export NM_FOR_TARGET=$NM
export RANLIB_FOR_TARGET=$RANLIB
export AR_FOR_TARGET=$AR
export CXX_FOR_TARGET=$CXX
export CPP_FOR_TARGET=$CPP

# Update configure in the gcc directory
(cd gcc ; autoconf )

%target_tool_configure \
	--target=%{_hhl_target_toolconfig} \
	--enable-shared \
	--enable-checking=yes \
	--enable-languages=c,c++ \
	--enable-threads \
%if "%{_hhl_target_fpu}" == "no"
	--without-fp \
%endif
%if "%{_hhl_target_cpu_id}" != "%%%%{_hhl_target_cpu_id}"
	--with-cpu=%{_hhl_target_cpu_id} \
%endif
%if "%{_hhl_target_gcc_config}" != "%%%%{_hhl_target_gcc_config}"
	%{_hhl_target_gcc_config} \
%endif
        2>&1 | tee ../build.log

# Add SYSTEM_HEADER_DIR so that we find <limits.h> from glibc
#dmake -- Problematic for now..
make	SYSTEM_HEADER_DIR=%{_hhl_cross_target_dir}/%{_hhl_target_include_dir} \
	2>&1 | tee -a ../build.log

%install
rm -rf %{buildroot}

%target_setup
%target_makeinstall 2>&1 | tee -a ../build.log

cp %{SOURCE2} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/gcov.1
cp %{SOURCE3} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/protoize.1
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/{gcov.1,protoize.1,gcc.1}
ln -s protoize.1.gz %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/unprotoize.1.gz

mv %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/cccp.1 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/cpp.1
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/cpp.1

makeinfo   -I../libio -o iostream.info ../libio/iostream.texi
cp iostream.info %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}/.

# Fix the specs file to not think we are a cross compiler.

cat %{buildroot}%{_gccdir}/specs | awk \
	'BEGIN {foo = 0; bar = 0;} /^\*cross_compile:$/ {if (bar == 0) foo = 1}
	/^1$/ {if (foo == 1 && bar == 0) {print "0"} else {print}} !/^1$/ {print}' \
	> %{buildroot}%{_gccdir}/specs.new
mv -f %{buildroot}%{_gccdir}/specs.new %{buildroot}%{_gccdir}/specs

# Stupid links are wrong.. must fix them...
rm %{buildroot}%{_gccdir}/libstdc++.a
rm %{buildroot}%{_gccdir}/libstdc++.so
ln -s ../../../libstdc++-libc6.1-2.a.3 %{buildroot}%{_gccdir}/libstdc++.a
ln -s ../../../libstdc++-libc6.1-2.so.3 %{buildroot}%{_gccdir}/libstdc++.so

# For -print-file-name=cpp
mkdir -p  %{buildroot}%{_hhl_cross_target_dir}/lib
ln -s ../usr/bin/cpp %{buildroot}%{_hhl_cross_target_dir}/lib/cpp

# Setup "cc" symlink to gcc
ln -s gcc %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/cc

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/g++.1
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}/*

cd ..
cp COPYING LICENSE

pushd %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
for i in cpp g++ gcc gcov protoize unprotoize; do
  ln -s $i %{_hhl_target_toolprefix}$i
done
popd 

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE4} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/gcc
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE5} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/cpp
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE6} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/cpp-doc
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE7} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/g++
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE8} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/protoize
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE9} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libstdc++2.10
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE10} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libstdc++2.10-dev
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE11} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/gcc-doc

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-gcc
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/cc
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/gcc
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/%{_hhl_target_toolprefix}gcc
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/%{_hhl_target_toolconfig}-gcc
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/gcov
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/%{_hhl_target_toolprefix}gcov
%dir %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/gcc-lib
%dir %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/gcc-lib/%{_hhl_target_toolconfig}
%dir %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/gcc-lib/%{_hhl_target_toolconfig}/%{version}
%dir %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/gcc-lib/%{_hhl_target_toolconfig}/%{version}/include
# The following few things are historical files that are not needed
# needed any longer.  (These only exist on x86)
#%{_gccdir}/include/selectbits.h
#%dir %{_gccdir}/include/asm
#%{_gccdir}/include/asm/*
#%dir %{_gccdir}/include/gnu
#%{_gccdir}/include/gnu/*
%{_gccdir}/include/syslimits.h
%{_gccdir}/include/stdarg.h
%{_gccdir}/include/varargs.h
%{_gccdir}/include/va-*.h
%{_gccdir}/include/stddef.h
%{_gccdir}/include/iso646.h
%{_gccdir}/include/proto.h
%{_gccdir}/include/stdbool.h
%{_gccdir}/include/limits.h
%{_gccdir}/include/float.h
%{_gccdir}/include/README
%{_gccdir}/collect2
%{_gccdir}/specs
%{_gccdir}/cc1
%{_gccdir}/libgcc.a
%{_gccdir}/crt*
%{_gccdir}/SYSCALLS.c.X
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/gcc.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/gcov.1.gz
%doc build.log COPYING COPYING.LIB ChangeLog gcc/README gcc/BUGS gcc/NEWS
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/gcc

%files -n hhl-%{_hhl_target_arch}-cpp
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/cpp
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/%{_hhl_target_toolprefix}cpp
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/cpp.1.gz
%{_gccdir}/cpp0
%{_hhl_cross_target_dir}/lib/cpp
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/cpp

%files -n hhl-%{_hhl_target_arch}-cpp-doc
%defattr(-,root,root)
%doc %{_hhl_cross_target_dir}%{_hhl_target_info_dir}/cpp.info*
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/cpp-doc

%files -n hhl-%{_hhl_target_arch}-g++
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/g++
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/%{_hhl_target_toolprefix}g++
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/g++.1.gz
%{_gccdir}/cc1plus
%{_gccdir}/include/exception
%{_gccdir}/include/new
%{_gccdir}/include/new.h
%{_gccdir}/include/typeinfo
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/g++

%files -n hhl-%{_hhl_target_arch}-protoize
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/protoize
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/unprotoize
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/%{_hhl_target_toolprefix}protoize
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/%{_hhl_target_toolprefix}unprotoize
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/protoize.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/unprotoize.1.gz
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/protoize

%files -n hhl-%{_hhl_target_arch}-libstdc++2.10
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libstdc++-3-libc6.1-2-2.10.0.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libstdc++-libc6.1-2.so.3
%doc libstdc++/NEWS libstdc++/ChangeLog
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libstdc++2.10

%files -n hhl-%{_hhl_target_arch}-libstdc++2.10-dev
%defattr(-,root,root)
%dir %{_hhl_cross_target_dir}%{_hhl_target_include_dir}/g++-3
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/g++-3/*
%{_gccdir}/libstdc++.a
%{_gccdir}/libstdc++.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libstdc++-3-libc6.1-2-2.10.0.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libstdc++-libc6.1-2.a.3
%doc %{_hhl_cross_target_dir}%{_hhl_target_info_dir}/iostream.info*
%doc libstdc++/stl/README
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libstdc++2.10-dev

%files -n hhl-%{_hhl_target_arch}-gcc-doc
%defattr(-,root,root)
%doc %{_hhl_cross_target_dir}%{_hhl_target_info_dir}/gcc.info*
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/gcc-doc

%changelog
* Wed Mar 20 2002 Michael Eager <eager@mvists.com>
- MIPS patches from Sony:
  gcc-2.95.3-unaligned_fields.patch
  gcc-2.95.3-frankengcc.patch
* Fri Feb 22 2002 Michael Eager <eager@mvists.com>
- MIPS patches from Sony:
  gcc-2.95.3-va_mips.patch (vararg endian fix)
  gcc-2.95.3-mips_ashldi3.patch (shift codegen fix)
  gcc-2.95.3-mips_lohi.patch (swap lo/hi regs)
  gcc-2.95.3-mips_madd.patch (splitt madd instr gen)
  gcc-2.95.3-section_alignment.patch (section alignment)
  gcc-2.95.3-combine.patch (combine opt fix)
  gcc-2.95.3-mips_exception.patch (create exception receiver)
  gcc-2.95.3-mips_usd.patch (change sd/usd instr mode)        
* Thu Jan 24 2002 Michael Eager <eager@mvists.com>
- Workaround exception handler label bug -- Bug1407.
* Mon Jan 21 2002 Michael Eager <eager@mvists.com>
- Remove original StrongARM BE patch.
* Fri Jan 11 2002 Michael Eager <eager@mvists.com>
- Fix configuration for StrongARM BE.
* Tue Jan  8 2002 Michael Eager <eager@mvists.com>
- remove gcc-alloca patch.
* Fri Dec  7 2001 Michael Eager <eager@mvists.com>
- Add Lexra gode gen fix
* Mon Nov 26 2001 Michael Eager <eager@mvista.com>
- Add with-cpu support.
- Add Lexra support.
* Tue Sep 25 2001 Michael Eager <eager@mvista.com>
- Add patch to support ARM big endian.
* Wed Sep 5 2001 Michael Eager <eager@mvista.com>
- Add arm920t (arm9tdmi) target.
* Mon Aug 27 2001 Michael Eager <eager@mvists.com>
- Fix bug0244 -- invalid dwarf output 
* Mon Aug 13 2001 Michael Eager <eager@mvista.com>
- Convert to use target_tool_config.
* Thu Jul 12 2001 Daniel Jacobowitz <source@mvista.com>
- MIPS thunk fix
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Thu Feb 22 2001 Daniel Jacobowitz <source@mvista.com>
- Don't let the target compiler think it is a cross-compiler
* Mon Feb 19 2001 Mark Hatle <fray@mvista.com>
- First cut
